%global packname  R.methodsS3
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          1.7.1
Release:          2%{?dist}
Summary:          S3 Methods Simplified

License:          LGPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-utils
# Suggests:
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-utils

BuildRequires:    R-devel tex(latex)
BuildRequires:    R-utils

%description
Methods that simplify the setup of S3 generic functions and S3 methods.
Major effort has been made in making definition of methods as simple as
possible with a minimum of maintenance for package developers.  For
example, generic functions are created automatically, if missing, and
naming conflict are automatically solved, if possible.  The method
setMethodS3() is a good start for those who in the future may want to
migrate to S4.  This is a cross-platform package implemented in pure R
that generates standard S3 methods.


%prep
%setup -q -c -n %{packname}

sed -i 's/\r$//' %{packname}/inst/CITATION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Mon Mar 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.7.1-2
- Fix line endings of CITATION file

* Mon Mar 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.7.1-1
- initial package for Fedora
